Multiple email addresses for each user

2009-11-19 12:56 - Iming Chan

Status: Closed Start date: 2009-11-19

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 3.0.0   

Resolution: Fixed   

Description

Is there anyway that we can store multiple e-mail addresses for a user?  This feature will greatly assist us, so we don't have to select

multiple people from the same company as "watchers".  As well, they will all be informed on the progress of the task.

Related issues:

Related to Redmine - Feature #8818: Repository user-mapping with multiple ema... Closed 2011-07-14

Related to Redmine - Feature #4511: Allow adding user groups as watchers for ... Closed 2010-01-01

Related to Redmine - Feature #37714: Show additional user email addresses on ... New

Has duplicate Redmine - Feature #4675: Multiple e-mails for each user Closed 2010-01-28

Has duplicate Redmine - Feature #10708: Need to add two email id for one user Closed

Has duplicate Redmine - Feature #14404: Multiple maild id for user in redmine Closed

Associated revisions

Revision 13886 - 2015-01-17 15:14 - Jean-Philippe Lang

Add support for multiple email addresses per user (#4244).

Revision 13887 - 2015-01-17 15:17 - Jean-Philippe Lang

Adds strings to locales (#4244).

Revision 13888 - 2015-01-17 15:51 - Jean-Philippe Lang

Send password reset email to the email used in lost password form (#4244).

History

#1 - 2009-11-19 17:33 - Felix Schäfer

Iming Chan wrote:

Is there anyway that we can store multiple e-mail addresses for a user?  This feature will greatly assist us, so we don't have to select multiple

people from the same company as "watchers".  As well, they will all be informed on the progress of the task.

 Maybe this would be better solved by allowing people to select a group in the watcher list instead of only single people.

#2 - 2009-11-19 20:29 - Jean-Philippe Lang

Felix Schäfer wrote:

Maybe this would be better solved by allowing people to select a group in the watcher list instead of only single people.

 Indeed, this would be an elegant solution and pretty easy to implement.

#3 - 2009-11-20 12:20 - Henrik Ammer

Multiple emails on a user would be great for RedmineReceivingEmails and my situation since our employers email solution can't be accessed outside

the office and we have quite a few people that work "on the go" that uses another email address when not in the office.

Not that this is the same need as the reporter but thought I'd mention it here instead of creating a new ticket.

#4 - 2009-11-28 13:16 - Jean-Philippe Lang

- Category changed from Email notifications to Email receiving
#5 - 2009-12-09 10:34 - Alain V.

Felix Schäfer wrote:

Iming Chan wrote:

Is there anyway that we can store multiple e-mail addresses for a user?  This feature will greatly assist us, so we don't have to select

multiple people from the same company as "watchers".  As well, they will all be informed on the progress of the task.

 Maybe this would be better solved by allowing people to select a group in the watcher list instead of only single people.

 I think this is a good idea and would be very useful also the my use!

I hope this could be done! I vote for this!

#6 - 2010-03-09 23:45 - Shaun Gilroy

This is actually a problem for us.  We have clients who use a business and gmail address to respond to issues and issue comments are frequently

getting lost because someone will reply to an issue from their gmail address and Redmine will ignore the email because it doesn't belong to a valid

user.

Allowing users to have more than one email address would solve a lot of communication problems for us.

#7 - 2010-08-23 06:31 - Anurag Chakradhar

This feature is going to be very very useful for us. Most of our users have more than one email account they need to use due to various reasons, and

currently there is no way to receive incoming emails from more than one email address per user.

Ideally, we will be able to add a list of email addresses for each user.

#8 - 2010-09-23 16:25 - Glenn Gould

Allowing Multiple e-mail addresses per user would be quite nice and would help with auto creation of accounts via an LDAP-Authentication-Source: in

LDAP the mail-attribute is allowed to be multi-valued, currently when doing on the fly account creation, Redmine fetches the first mail-attribute

returned by the LDAP-server, but that is not necessarily the one you wished to be in use.

#9 - 2010-10-14 12:57 - Daniel Schuba

+1

would be really great if a user could specify more then one adress and then select if it should be used for notifications and/or sending issues to

redmine or for reseting password. I hope this will get a higher priority... this could make a lot of thing much easier

#10 - 2010-11-14 14:29 - Roman Dolgiy

There is one more use case when multiple email addresses would be helpful, when I'm using different addresses while committing to git repository,

redmine hooks to my profile only commits where email is equal to email in my redmine profile. It would be great to be able to add multiple emails to

profile.

See how how it works on http://github.com

#11 - 2011-01-27 15:40 - Jürgen Hörmann

I want to ask for this feature, too.

My clients use multiple email addresses to report issues. Each time someone uses a new address I need to create a new user.

The problem now is that all those duplicated users get emails on project updates. This is very annoying.

The possibility to assign multiple email addresses to one user is critical for me. Otherwise I cannot properly import issues from mail but need to enter

each issue manually.

#12 - 2011-02-19 13:27 - Dustin Lambert

+1 for this feature...

#13 - 2011-02-22 16:58 - Alexander Kriventsov

+1

It will be great

#14 - 2012-02-15 16:02 - Dan Scharon

+1

This would definitely reduce the amount of unnecessary duplicate user accounts

2025-05-17 2/7

http://github.com


#15 - 2012-03-05 13:24 - Stéphane Gourichon

+1

We have people replying to existing issues with a different e-mail address... replies get lost.

#16 - 2012-03-23 16:53 - Daniele Palumbo

+1

I need it!

#17 - 2012-07-05 18:14 - Andre Rodier

I need this as well.

#18 - 2012-08-17 20:59 - Tobias Eigen

+1

#19 - 2012-08-29 01:15 - Anonymous

+1

#20 - 2012-09-23 09:40 - Hisham Al-Shurafa

This is unbelievable. So if I have different email addresses and I reply from a different email address that is not associated with my redmine account,

the reply will get lost? Atleast redmine should bounce back and tell me of this. It seems like this ticket should increase in priority and be targeted for

the next release.

#21 - 2012-09-23 11:37 - Stéphane Gourichon

Jean-Philippe Lang wrote:

Felix Schäfer wrote:

Maybe this would be better solved by allowing people to select a group in the watcher list instead of only single people.

 

Hello,

I'm wondering if the needs explained by other users (issues marked as duplicate, latest comment above) are indeed the same.

In the meantime, plugins have been created to handle groups of people, yet it has nothing to do with people replying with a different e-mail address.

Indeed, this would be an elegant solution and pretty easy to implement.

 I don't understand this solution nor why it would solve the first problem. Can you tell an explicit scenario ? That would definitely clarify. Thanks.

#22 - 2012-10-02 17:57 - Nicolas Brisac

+1

pretty important for us to avoid duplicate users (we auto-create users upon email reception)

#23 - 2012-10-03 20:55 - Dhanushka Samarakoon

+1

I'll explain my scenario.

Our company used to have myname@mycompany.com format for email addresses. Recently it started using myname@my-company.com as the

email address. Whether you send a mail to myname@mycompany.com or myname@my-company.com it goes to teh same inbox. But for outgoing

mail few people use myname@mycompany.com instead of the new myname@my-company.com

We create all redmine users using the myname@my-company.com format. But when someone replies to the ticket from a 

myname@mycompany.com it gets ignored sicne redmine doesn't recognize that email address.

The feature we request is

- Ability to add multiple email addresses to one user (so that incoming emails from any of those addresses would be linked to that user)

- Ability to select one or more email addresses from the list to deliver notifications.

#24 - 2012-10-12 17:20 - Yehuda Katz

+1

We have the same issue as many of the commentors:

Many of our users forward their business mail to their home mail and reply to tickets from either one.

It would be great to be able to add multiple email addresses per user so that the replies will be properly tracked.
#25 - 2012-10-15 23:46 - Anonymous

As was mentioned before, a beautiful example for a nice UI for such a feature is Github's user profile settings for emails, as can be seen here 

https://github.com/settings/emails if you are logged in with a github account. Basically, you can add any number of emails, and choose one as the

"default", to which email notifications etc. go.

This also one possible way to resolve issue #12106.

This is just for the "frontend" part of course. For the "backend" part, I guess that instead of storing a single email address as part of each user record

(i.e. a unique key in each User record in the database), one would have to employ a 1:N relation between users and emails... with a table of email

addresses, each with some flags, like whether it has been verified or whether it is pending verification / authentication. Also, one would have to decide

what happens if user A adds email address foo@bar.com, then a minute later user B does the same... does the first request prevent the second? Or

does the second cancel the first one? Or are both kept track of? The first approach could be abused to deny user B use of their email address (this

could be mitigated by a verification timeout of, say, 30 minutes). The second approach could also be abused (a bot could simply repeat requests for

addition of an email every 30 seconds), though it would require more effort. The last approach requires more work to implement, I guess, but might

ultimately be the best solution...

Of course this is all purely hypothetical, and there might be much better solutions, too. And of course this all is quite worthless as long as nobody is

willing and able to implement something. Still, I am hoping -- Redmine developers so far have surprised me very positively multiple times, by

implementing or fixing things just as I needed them. Hats off to all the people who put hard work into making Redmine the great software it now is!

#26 - 2012-12-11 13:44 - Gleb Skudnov

Please create an option to send updates to multiple addresses. OMG. this is very needed feature.

#27 - 2012-12-28 22:08 - Anonymous

+1

We use email aliases, and as such sometimes when users send an email from an alias that is not listed as their primary in LDAP, the message

bounces because Redmine doesn't know about that address. This would be a very nice feature.

#28 - 2013-03-14 01:32 - Anonymous

+1

#29 - 2013-04-05 10:41 - Björn Lässig

+1

Using Aliases too.

#30 - 2013-05-23 11:49 - Michael Kling

We got the same problem like Max Horn.

#31 - 2013-05-23 16:20 - Deoren Moor

+1

This would be very useful for us since some of our users have multiple emails addresses for the different organizations/communities they're working

with.

#32 - 2013-06-23 14:57 - Aidin Abedi

+1

#33 - 2013-06-27 00:56 - tom vaughan

+1 this is needed badly.

#34 - 2013-07-12 21:36 - Jean-Philippe Lang

- Has duplicate Feature #14404: Multiple maild id for user in redmine added

#35 - 2013-10-27 20:44 - Peter Beck

Is there any progress with that issue ? Will we ever have the possibility to set multiple email addresses ?

#36 - 2013-11-27 06:31 - Ruslan Khasanov

+1

#37 - 2014-02-13 18:15 - John Groboske

Yes, please add this feature. I have users that submit tickets via email, and they would like the ticket to have a group email CC'ed on each email. This

would easily be accomplished by allowing me to add an extra email to the users profile. Otherwise I need to remember to add the groups email as a

watcher, which is suboptimal as I could easily forget to do this all the time.
IF anyone knows of a workaround please let me know. I thought of making a subproject for these users and adding the groups email as an email

address that will always be notified if anything is updated in this project but that is getting a little wonky IMO.

Thanks!

#38 - 2014-02-13 18:40 - Deoren Moor

John Groboske wrote:

I have users that submit tickets via email, and they would like the ticket to have a group email CC'ed on each email.

 It sounds like you would be interested in #4511.

I need to remember to add the groups email as a watcher, which is suboptimal as I could easily forget to do this all the time.

 I forget where/what the feature is called, but at some point in the process users who are CC'd on issue emails are added as watchers. It may be that

this only applies when a ticket is created however. If there isn't already a feature request submitted that would be a good one to make. In our

particular setup this wouldn't work for our users until a moderator routes/assigns them out of the "Unassigned" project (which they do not have access

to).

#39 - 2014-03-05 07:25 - Toshi MARUYAMA

- Related to Feature #4511: Allow adding user groups as watchers for issues added

#40 - 2014-04-10 06:03 - Keene Tsai

+1. This feature is definitely required.

#41 - 2014-09-11 10:39 - Jack Edwards

+100

#42 - 2014-11-29 18:53 - Stéphane Gourichon

Hi all,

Been following this ticket for a moment.

Clarifying the need

It looks like there are different needs:

Need 1: send-to-many. Redmine sending notifications to several addresses (#4675 looks like this)

Need 2: receive-from-many. cf. Henrik's comment above, people write or reply to Redmine, but the "from" is not what is setup as their address.

Need 3: group-as-watcher. This ticket description, which looks like a hack to add a pseudo-user with addresses of different people as a way to

add a group as watcher.

Perhaps this should be made clearer, since one ticket to discuss three issues does not help much.

Quick-n-dirty fix for need 2: receive-to-many

I have been wanting the second need ( receive-from-many ) for years.

As a quick-n-dirty fix I modified the bash script I use to glue between postfix and rdm-mailhandler. Now it passes the mail body through a simple sed

script like this :

sed -f ../sedscript <"${MAILBODYFILENAME}" >"${MAILBODYFILENAMEFROMADJUSTED}" 

 The sedscript file looks like this:

s/someunwantedfromadress@somedomain/theactualaddressofuser@theactualdomain/

s/someotherunwantedfromadress@somedomain/theactualaddressofuser@theactualdomain/

 It's hackish because any instance of the address will be changed, not only in "from" field, even in the body.  This will break the general case.  This will

even break if some pattern happens to match a substring of a different address (e.g. s/foo@domain.co/bar@somedomain.com/ will turn 

myfoo@domain.com into mybar@somedomain.comm).

In practice it will probably be enough for our use.

Hope clarifying the need may help sort things out.  My two cents.  Thank you for your attention.

#43 - 2014-12-02 14:18 - Lauro Becker
+1

#44 - 2014-12-02 20:06 - Matias Fusaro

+1

#45 - 2014-12-29 05:49 - Toshi MARUYAMA

- Category changed from Email receiving to Email notifications

#46 - 2014-12-29 05:51 - Toshi MARUYAMA

- Category changed from Email notifications to Email receiving

#47 - 2014-12-29 10:08 - Marc Richter

+1 for "Need 2", as Stéphane described it. Nowadays, I guess there is only a minority using one Mailadress only. The possibility to map multiple

Mailadresses to one user is a great feature, not only for recieving Issue updates by mal, but also for Mapping code repository commits to the correct

users.

#48 - 2015-01-12 18:33 - Pablo Giudice

+1 for "Need 2" as Marc and Stéphane described. In our company we have the same issue Dhanushka described long ago and we are want emails

not to be lost when the sender has configured his email client with the old domain name. Thanks!

#49 - 2015-01-17 15:29 - Jean-Philippe Lang

- File emails.png added

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.0.0

- Resolution set to Fixed

Feature added in r13886.

Users still have a default email and a new form is added to manage additional email addresses, so users with a single email won't have to deal with it.

Notifications can be turned on/off for each additional emails. All of them will be used for incoming emails or reposiotry user mapping.

The maximum number of additional emails per user can be controlled with a new setting (default set to 5), setting it to 0 will disable additional emails.

For backward compatibility with existing code, User#mail and User#mail= are preserved as the accessors of the default email address string. The

existing User.find_by_mail now matches any of the user's email addresses.

 

#50 - 2015-09-08 12:04 - Koronics Norbert

Helló

How can i apply this future in our redmine?

Environment:

Redmine version                2.5.2.stable

Ruby version                   1.9.3-p484 (2013-11-22) [i686-linux]
Rails version                  3.2.19

Environment                    production

Database adapter               Mysql2

Thanks a lot

Norbert

#51 - 2015-09-08 12:09 - Toshi MARUYAMA

Koronics Norbert wrote:

Helló

How can i apply this future in our redmine?

Environment:

Redmine version                2.5.2.stable

 Not in 2.5.2.

#52 - 2015-09-08 12:11 - Koronics Norbert

which verison i need to use for this?

#53 - 2015-09-08 12:22 - Toshi MARUYAMA

You can see in this issue target version.

#54 - 2022-09-26 23:24 - Mischa The Evil

- Related to Feature #37714: Show additional user email addresses on admin user list added
